# Search comments about activity (deprecated) Comments are an older form of review submitted directly to the Musement platform. This endpoint has been replaced by the /activities/{activityUuid}/reviews endpoint, which incorporates reviews from various sources. Endpoint: GET /activities/{activityUuid}/comments Version: 3.5.0 ## Path parameters: - `activityUuid` (string, required) The UUID of the activity. ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Query parameters: - `include_empty` (string) Include comments in the response with an empty body property. Enum: "NO", "YES" - `limit` (integer) Limit the maximum number of results to include in the response. - `locale` (string) Filter results by the locale property. Example: "en-US" - `offset` (integer) Exclude the first N results from the response, where N is the specified integer value. - `rating_in` (string) Filter comments by their rating property. Providing a single integer returns comments greater than or equal to the value. Providing two integers separated by a comma returns comments with a rating within the specified range. - `sort_by` (string) Sort comments by one of the following choices: * DATE: From least recent sent_at value to most recent. * -DATE: From most recent sent_at value to least recent * RATING: From lowest rating to highest. * -RATING: From highest rating to lowest. Enum: "-DATE", "-RATING", "DATE", "RATING" ## Response 200 fields (application/json): - `author` (object, required) Information about the creator of the comment. Example: {"avatar":"https://www.gravatar.com/avatar/64cd1afae494f878bf6004048aab3fa2?s=120&d=identicon&r=g","firstname":"Firstname 331069"} - `author.avatar` (string, required) A URL of the customer's avatar image. Example: "https://www.gravatar.com/avatar/64cd1afae494f878bf6004048aab3fa2?s=120&d=identicon&r=g" - `author.country` (object) The customer's country of origin. - `author.country.iso_code` (string) The two-character ISO code for the country. - `author.country.name` (string) The name of the country in the language of the Accept-Language header. - `author.firstname` (string, required) The customer's first name. Example: "Firstname 331069" - `body` (string) Additional feedback, if any, from the customer about the activity. Example: "We loved this tour!" - `locale` (string, required) The language the customer wrote their feedback in. Example: "en" - `rating` (number, required) The customer's rating of the activity on a scale of one (poor) to five (excellent). Example: 5 - `sent_at` (string, required) The date and time the comment was submitted. Example: "2018-05-13T09:01:19+0000" - `title` (string) The customer's feedback, if any, about the activity. Example: "Great!" - `uuid` (string, required) The comment's UUID. Example: "19554b4f-18d4-4b9b-b650-d72517523473" ## Response 403 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "You don't have permission to access this resource." ## Response 404 fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "1400" - `message` (string, required) A message with a brief explanation of the error. Example: "Activity not found." ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"